<div class="wrapper-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">
                  <h4  class="text-center" *ngIf = "value == null">No Data Found</h4>
                  <h4 class="text-center">{{variable?.date | date: "dd/MM/yyyy"}}</h4>
                  <div class="lang-btm" *ngIf ='offSite.length !=0'>
                  <h5 class="text-left" style="font-weight: 700;">Offsite</h5>

                <table class="table table-bordered language-table">
                    <tbody>
                        <!-- <th>day</th> -->
                        <th style="width: 100px;">Check-in</th>
                        <th>Location</th>
                        <th style="width: 100px;">Check-out</th>
                        <th>Location</th>
                        <!-- <th>Total Time</th>
                        <th>Payable Amount</th> -->

                        <tr *ngFor= 'let item of offSite; let i =index'>
                            <!-- <td></td> -->
                            <td>{{item?.checkIn.replace(".",":")}}</td>
                            <td>{{item?.destinationName}}</td>
                            <td *ngIf='item.checkOut !=0'>{{item?.checkOut.replace(".",":")}}</td>
                            <td>{{item?.checkoutlocationName}}</td>
                            <!-- <td>{{item?.totalonSiteTime}}</td> -->
                            <!-- <td></td> -->
                        </tr>
                    </tbody>
                </table>
            </div>

            <div class="lang-btm" *ngIf = 'onSite.length !=0'>
            <h5 class="text-left" style="font-weight: 700;">Onsite</h5>

                <table class="table table-bordered language-table">
                    <tbody>
                        <!-- <th>day</th> -->
                        <th style="width: 100px;">Check-in</th>
                        <th>Location</th>
                        <th style="width: 100px;">Check-out</th>
                        <th>Location</th>
                        <!-- <th>Total Time</th>
                        <th>Payable Amount</th> -->

                        <tr *ngFor= 'let item of onSite; let i =index'>
                            <!-- <td></td> -->
                            <td>{{item?.checkIn}}</td>
                            <td>{{item?.destinationName}}</td>
                            <td *ngIf='item.checkOut !=0'>{{item?.checkOut}}</td>
                            <td>{{item?.checkoutlocationName}}</td>
                            <!-- <td>{{item?.totalonSiteTime}}</td> -->
                            <!-- <td></td> -->
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="row card-list-row">
                <div class="col-6 text-left" *ngIf='variable'>
                    <label style="font-weight: 700;">Total Hours Worked</label>
                    <h3>{{totTimeCheckin.replace(".",":")}}</h3>
                </div>
            <div class="col-6 text-right" *ngIf='exactPayment'>
                <label style="font-weight: 700;">Payable Amount</label>
                <h3>{{exactPayment}}</h3>
            </div>

            </div>
            <!-- <div class="text-left" >

        

            </div>
            <div class="text-right" >
           

            </div> -->
            <div class="lang-btm" *ngIf ='checklocation.length !=0'>
                <h5 class="text-center" style="font-weight: 700;">Offsite Location Tracking Details</h5>
                
                <table class="table table-bordered language-table">
                    <tbody>
                        <!-- <th>day</th> -->
                        <th>Time</th>
                        <th>Location</th>
                        <!-- <th>Check out</th>
                        <th>Location</th> -->
                        <!-- <th>Total Time</th>
                        <th>Payable Amount</th> -->

                        <tr *ngFor= 'let item of checklocation; let i =index'>
                            <!-- <td></td> -->
                            <td>{{item?.checkinTime.replace(".",":")}}</td>
                            <td>{{item?.destinationName}}</td>
                            <!-- <td *ngIf='item.checkOut !=0'>{{item?.checkOut}}</td>
                            <td>{{item?.checkoutlocationName}}</td> -->
                            <!-- <td>{{item?.totalonSiteTime}}</td> -->
                            <!-- <td></td> -->
                        </tr>
                    </tbody>
                </table>
            </div>

              </div>
          </div>
      </div>
  </div>
</div>
